module Terminal.Game.Utils where

import Terminal.Game.Plane

import qualified System.Console.Terminal.Size as TS

screenSize :: IO (Width, Height)
screenSize =
        TS.size >>= \ts ->
        let (TS.Window h w) = maybe (error "cannot get TERM size") id ts
        in return (w, h)
